[youtubei.js](../../../../README.md) / [YT](../README.md) / Guide

# Class: Guide

Defined in: [src/parser/youtube/Guide.ts:9](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/youtube/Guide.ts#L9)

## Constructors

### Constructor

> **new Guide**(`data`): `Guide`

Defined in: [src/parser/youtube/Guide.ts:13](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/youtube/Guide.ts#L13)

#### Parameters

##### data

[`IRawResponse`](../../../../interfaces/IRawResponse.md)

#### Returns

`Guide`

## Properties

### contents?

> `optional` **contents**: [`ObservedArray`](../../Helpers/type-aliases/ObservedArray.md)\<[`GuideSection`](../../YTNodes/classes/GuideSection.md) \| [`GuideSubscriptionsSection`](../../YTNodes/classes/GuideSubscriptionsSection.md)\>

Defined in: [src/parser/youtube/Guide.ts:11](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/youtube/Guide.ts#L11)

## Accessors

### page

#### Get Signature

> **get** **page**(): [`IGuideResponse`](../../../../type-aliases/IGuideResponse.md)

Defined in: [src/parser/youtube/Guide.ts:19](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/youtube/Guide.ts#L19)

##### Returns

[`IGuideResponse`](../../../../type-aliases/IGuideResponse.md)
